whereami (0.3.35) unstable; urgency=medium

  [ наб ]
  * This is a native package! 0.3.34-0.1 came right after 0.3.34
  * debhelper: >= 10 -> = 13
  * d/rules: no sequencer -> dh
    + patches moved from d/*.patch to d/doc/patches/
  * Drop /etc/dhcp3 (already ship identical in /etc/dhcp)
    (lintian package-installs-into-obsolete-dir)
  * d/copyright: DEP-5, inline d/gplcopynote
  * d/whereami.init: drop compat with /u/sbin/whereami.sh (removed in 2007)
  * d/whereami.prerm: drop `pwd`, account for cd failure, proper quoting
  * d/whereami.prerm: drop reference to /usr/doc/whereami, removed in 2005
  * d/whereami.network-hook: proper quoting, ` -> $(
  * debian/whereami.dhclient3-exit-hook: exec, no needless subshell
  * d/notes: rename to d/README.source
  * d/whereami.service: add (Closes: #1039418)
    + Pre-Depends: ${misc:Pre-Depends}
  * init.d-script-does-not-source-init-functions
  * Rules-Requires-Root: no
  * Standards-Version: 3.9.8 -> 4.7.0

  [ Andreas Tille ]
  * Maintainer: Debian QA Group <packages@qa.debian.org>
  * Vcs-Git: https://salsa.debian.org/debian/whereami.git

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 23 Nov 2024 15:45:01 +0100

whereami (0.3.34-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1055614)
  * Remove Suggests on removed package.
  * Move from Priority: extra to optional.

 -- Bastian Germann <bage@debian.org>  Tue, 09 Jul 2024 22:17:17 +0200

whereami (0.3.34-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999204)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Apr 2022 17:58:14 -0300

whereami (0.3.34-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817722)
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/rules: disabled the DH_VERBOSE option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Dec 2016 02:00:16 -0200

whereami (0.3.34-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Compatibility with isc-dhcp-client (Closes: #585058).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Jul 2010 00:41:36 +0200

whereami (0.3.34-0.2) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Fix incorrect provides and dependencies in init.d script (Closes:
    #542442).
  * Make sure /var/run/whereami is created at boot time if /var/run/
    is a tmpfs.
  * Make sure to depend on ${misc:Depends}, as debhelper is used.
  * Do not ignore errors in postinst.  Thanks lintian for the tip.
  * Remove last traces of debconf use, left over from last NMU.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 13:55:27 +0200

whereami (0.3.34-0.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Remove unused templates file and debconf translations.
    Closes: #449520, #440070, #449519, #452692, #463679
    Closes: #449520, #471688, #473471
  * Fix detect.conf(5) man page (line 51)

 -- Christian Perrier <bubulle@debian.org>  Sun, 16 Mar 2008 08:55:46 +0100

whereami (0.3.34) unstable; urgency=low

  * Fix no-longer-required link in postinst.  (closes: #449059)
  * Updated german translation (closes:#449162)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 05 Nov 2007 00:16:00 +1300

whereami (0.3.33) unstable; urgency=low

  * Apply lintian clean fixes, including re-revert DH_COMPAT.
  * Ensure man pages are built with package.
  * Correct logic inversion in testsupplicant (closes:#422647).
  * Add testwpa script from François Tourde.
  * Add Brazillian Portugese translation (closes:#44070).
  * Fix to ensure testsupplicant works when wpa_supplicant already running at
    start of process.  (closes:#422650).

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 02 Nov 2007 07:10:50 +1300

whereami (0.3.32) unstable; urgency=low

  * Revert DH_COMPAT in debian/rules so this can go into Etch.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 27 Feb 2007 17:22:18 +1300

whereami (0.3.31) unstable; urgency=low

  * Remove /usr/share/doc/whereami/examples which was empty (closes: #405306)
  * Spanish translation (closes: #403443)
  * Catalan translation (closes: #405307)
  * Fix typo in PATH setting (closes: #402186)
  * Correct use of /bin/sh to /bin/bash in a couple of test scripts

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 26 Feb 2007 07:52:34 +1300

whereami (0.3.30) unstable; urgency=low

  * Incorporated minor fixes from Ubuntu package.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri,  1 Dec 2006 23:03:29 +1300

whereami (0.3.29) unstable; urgency=low

  * Correct old directory mentioned in README and add comment about $PATH
    (closes: #367477).
  * Add build, binary-indep and binary-arch targets (closes: #395813).
  * Apply patches from Stefano Sabatini extending allowable SSIDs.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 12 Nov 2006 13:33:51 +1300

whereami (0.3.28) unstable; urgency=low

  * Make testmii retry with ethtool if mii-tool's operation is not supported.
  * Change some of the suggests to recommends (iputils-arping, resolvconf and
    wireless-tools).
  * Comment out some things in the whereami.conf that might result in some
    unsightly error messages when running unconfiugured (closes: #336904)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  2 Nov 2005 10:26:48 +1300

whereami (0.3.27) unstable; urgency=low

  * Quit network hook for loopback.  Provide hint for the interface (yep, two
    bugs in one bug report is bad form) (closes: #333926)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 15 Oct 2005 09:17:29 +1300

whereami (0.3.26) unstable; urgency=low

  * Add portugese translation (closes: #331496).

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  4 Oct 2005 11:21:04 +1300

whereami (0.3.25) unstable; urgency=low

  * Add swedish translation (closes: #330617).

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 29 Sep 2005 14:03:15 +1200

whereami (0.3.24) unstable; urgency=low

  * Depend on debconf | debconf-2.0

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 27 Sep 2005 12:44:51 +1200

whereami (0.3.23) unstable; urgency=low

  * Vietnamese translation (closes: #324124).
  * Added test for whereami installation into the dhclient hook
    script.  Closes (Malone: #2044).

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 18 Sep 2005 22:34:52 +1200

whereami (0.3.22) unstable; urgency=low

  * Added initial "testsupplicant" support for using wpasupplicant
  * Changes to testap to more robustly get scan results as quickly as
    possible and then move on.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri,  8 Jul 2005 12:46:20 +0300

whereami (0.3.21) unstable; urgency=low

  * Remove stuff from /var/lib/whereami in prerm.
  * Add pointer in README to mailing lists that are now setup.
  * Daniel Bonniot supplied a fix to make dhclient3 exit in a manner that is
    appropriate for whereami (closes: #308980).
  * The testmii script will now bring up the interface before checking to see
    if there really is a network connection (closes: #285703).
  * Patched html docs (man pages are still better) (closes: #177873).
  * Added /usr/local/share/whereami to path (closes: #288718)
  * Added $scriptbase/actions to path, moved actions in there and symlinked
    back to their old locations. (closes: #177906)
  * Added a '!location' flag in whereami.conf to indicate "not in this
    location" kinds of actions.  (closes: #194060)
  * Added "iwconfig essid on" to testap/testssid (closes: #309279)
  * Man pages and examples updated (closes: #178235)
  * Applied patch from Peter Koellner to allow quoting of parameters to test
    scripts in detect.conf.
  * Added "setproxy" script to work with Squid proxies as well as Oops ones.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 19 Jun 2005 22:11:55 +1200

whereami (0.3.20) unstable; urgency=low

  * Updated man page source to correct licensing screwups.
  * Added Czech translation by Miroslav Kure (closes: #298319)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Apr 2005 07:07:58 +1200

whereami (0.3.19) unstable; urgency=low

  * Added documentation for testappassive and testprocsys from Matthew Grant.
  * Added /usr/local/share/whereami to PATH for scripts and tests based on
    a suggestion by Simon Guest.
  * Applied patch to testap from Simon Guest to allow specifying 'restricted'
    mode, which seems to be needed by the ipw2200 driver.
  * Added documentation for the above change to detect.conf.sgml.
  * Added testusb script contributed by Brett Johnson.
  * Improved detect.conf manpage with examples.
  * Removed ancient 'samples' directory which applied to the
    now unsupported mode of operation.
  * Added scripts testappassive and testprocsys from Matthew Grant.
  * Tweaked testap to work more reliably with the madwifi driver.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Feb 2005 12:19:37 +1300

whereami (0.3.18) unstable; urgency=low

  * Added ludicrous dependencies (closes: #273399)
  * Made testssid check binary for driverloader/ndiswrapper (closes: #275368)
  * Made testping work ok-ishly with iputils-ping and friends.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 19 Oct 2004 14:01:06 +1300

whereami (0.3.17) unstable; urgency=low

  * Apply patch from Patrice Neff for qmail handling (closes: #265863)
  * Correct shell variable escaping from Matthew Grant.
  * Apply patch for de l10n from Jens Nachtigall (closes: #273991)
  * Apply patch for nl l10n from Luk Claes (closes: #274898)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  6 Oct 2004 09:36:44 +1300

whereami (0.3.16) unstable; urgency=low

  * Fix how testap handles moving from an encrypted WLAN to an
    unencrypted one.
  * Check if whereami is actually installed in network hook (closes: #235226)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  3 Aug 2004 07:06:37 +1200

whereami (0.3.15) unstable; urgency=low

  * Apply japanes l10n from Hideki Yamane (closes: #259800)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 18 Jul 2004 11:12:40 +1200

whereami (0.3.14) unstable; urgency=low

  * Add setoops script from	Fedor Karpelevitch to set "oops" proxy.
  * Added section to whereami.conf manpage descibing the more useful
    scripts.
  * Fix typos in testap

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  3 Jul 2004 23:00:15 +1200

whereami (0.3.13) unstable; urgency=low

  * Add settimezone script from Itay Ben-Yaacov (closes: #252359)
  * Make testap assign first matching ESSID on a successful test.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 17 Jun 2004 09:30:07 +1200

whereami (0.3.12) unstable; urgency=low

  * Added support for dhcpcd from Chris Halls.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 27 May 2004 23:54:38 -0300

whereami (0.3.11) unstable; urgency=low

  * Add dependency on perl (closes: #250300)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 22 May 2004 21:40:12 +1200

whereami (0.3.10) unstable; urgency=low

  * Preserve mail configuration perms/owner/grp in setmailrelay (closes: #249477)
  * "Fallback" isn't what that was doing!  Duh!  (closes: #249479)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 19 May 2004 22:40:17 +1200

whereami (0.3.9) unstable; urgency=low

  * Apply patch to whereami.network-hook (closes: #235226)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 22 Apr 2004 09:38:32 +1200

whereami (0.3.8) unstable; urgency=low

  * Fix missing quotes in testap.
  * Add support for Exim4 from Itay Ben-Yaacov (closes: #244930)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 21 Apr 2004 12:51:43 +1200

whereami (0.3.7) unstable; urgency=low

  * Correct location of lspci in testpci script.
  * Fix variable handling in testap where INTERFACE is not previously set.
  * Lots of changes to testap, which now seems reasonably ready for use.
  * Added 'echo "a message"' function to detect.conf syntax.
  * Updated detect.conf example configuration to suggest more reasonable
    things.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 23 Mar 2004 23:20:48 +1200

whereami (0.3.6) unstable; urgency=low

  * Apply new french translation (closes: #238017).
  * Beginnings of a new "testap" script where WLAN supports iwlist .. scan.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 21 Mar 2004 14:55:20 +1200

whereami (0.3.5) unstable; urgency=low

  * Fix dhclient3 hook to use STATEDIR, really closes: #233963
  * Add a reload to postfix handling in setmailrelay

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 15 Mar 2004 08:25:30 +1300

whereami (0.3.4) unstable; urgency=low

  * Change default STATEDIR in testdhcp (closes: #233963)
  * Add directories /var/run/whereami and /var/lib/whereami to reduce noise.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  9 Mar 2004 06:55:11 +1300

whereami (0.3.3) unstable; urgency=medium

  * Remove "exit 0" from dhclient3 hook (closes: #228303)
  * Fix debugging cruft in setresolver (closes: #228308)
  * Move "state" file locations to /var/lib/whereami
  * Fix typo int html docs (closes: #229300)
  * Also overwrite /var/run/dnsmasq/resolv.conf in setdnsmasq (a hack!)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 11 Feb 2004 08:56:23 +1300

whereami (0.3.2) unstable; urgency=low

  * Add support for ethtool to testmii.
  * Improve handling of wireless networks with encryption, including man page
    changes(!)
  * Adjust APM support to fit current scheme.
  * Apply patch from Chris Halls: bind-forwarders should not do anything if
    resolvconf is installed.  setmailrelay should use postconf for PostFix.
  * Note that bugs 164213 & 167704 were fixed at 0.2.7 which was not released
    into Debian.  Let's try again... (closes: #164213, #167704)
  * Remove references to old (bash) version in postinst.  (closes: #228089)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 17 Jan 2004 22:27:03 +1300

whereami (0.3.1) unstable; urgency=low

  * Add some basic support for resolvconf (needs work)
  * Add "Source" line to debian/control (closes: #223224)
  * Add QMail support (Patrice Neff) (closes: #217459)
  * Fix parsing of testarp options (Alexander Borkowski)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  8 Dec 2003 00:15:27 +1300

whereami (0.3.0) unstable; urgency=low

  * Switch to gettext for templates (Michel Grentzinger) (closes: #199005)
  * Remove option of using old (ancient) whereami and fix templates
    to not use Yes / No (closes: #199040) (increment major version)
  * Added french translation (Michel Grentzinger) (closes: #199981)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  6 Jul 2003 23:28:12 +1200

whereami (0.2.12) unstable; urgency=low

  * Added "Suggests" for wireless-tools.  Updated to standards version 3.5.9.0
  * Correct handling of overlapping sets of locations (closes: #188097)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  8 Apr 2003 20:47:15 +1200

whereami (0.2.11) unstable; urgency=low

  * Applied a patch from Adrian Woizik <morrow@unfug.org> to improve handling
    of multiple locations.
  * Correct handling of location change when sets of locations overlap.
  * Added information about 'testreceived' and 'testssid' checks to
    detect.conf manpage.
  * Corrected parameter handling in testreceived script.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 20 Mar 2003 23:43:14 +1200

whereami (0.2.10) unstable; urgency=low

  * Added Chris Hall's --mapping patch for use in ifupdown mapping
  * Small option change for setmailrelay (exim) from Matej Cepl
  * Add optional IP address assignment during testarp.
  * Make lintian clean.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 23 Feb 2003 22:20:08 +1300

whereami (0.2.9) unstable; urgency=low

  * More patches from Thomas Hood (closes: #177547, #177554, #177585)
  * Re-added ifconfig to testarp, but just as 'ifconfig ... up'.  The removal
    at 0.2.6 did cause problems for some PowerPC users.
  * Fixed a typo in testssid script.
  * Updated HTML documentation somewhat (closes: #177545)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 21 Jan 2003 23:28:53 +1300

whereami (0.2.8) unstable; urgency=low

  * Comment patch to apm.conf from Thomas Hood (closes: #176860)
  * Manpage patch to detect.conf.5 from Thomas Hood (closes: #178862)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 16 Jan 2003 12:16:57 +1300

whereami (0.2.7) unstable; urgency=low

  * Patch from Chris Halls to fix postinst hanging (closes: #164213, #167704)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  8 Jan 2003 07:57:00 +1300

whereami (0.2.6) unstable; urgency=low

  * Added testreceived to look for received packets (Mike Carr) (closes: #149988)
  * Removed ifconfig from testarp script (closes: #174286) - please advise me
    if this causes anyone any problems.
  * Some tweaks to rules / control files so latest lintian doesn't bitch at me
    so much.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  6 Jan 2003 16:05:31 +1300

whereami (0.2.5) unstable; urgency=low

  * Updated to suggest ifplugd, which integrates nicely.
  * Added "testssid" test to look for particular wireless networks
  * Force named.conf to be owner readable in bind-forwarders.
  * Policy: fix conffiles creation to remove duplicates.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  7 Dec 2002 21:09:26 +1300

whereami (0.2.4) unstable; urgency=low

  * Added exim support to setmailrelay (closes: #164623)
  * Allow for spaces around route filename (closes: #167346)
  * Updated documentation further.  (closes: #164375)
  * Corrected some errors in handling if/elif/else/fi construct.
  * Added support for internal 'at' and 'notat' constructs.
  * detect.conf man page updated for 'at', 'notat' and 'elif'

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Nov 2002 18:01:06 +1300

whereami (0.2.3) unstable; urgency=low

  * Add support for bind9 to bind-forwarders
  * Default to first resolv.conf nameserver if none supplied to bind-forwarders
    (thanks to Michael Lamertz).
  * Updated README and TODO to reflect current plans / status.
  * Removed CONFIGURING file, which was vastly out of date.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 23 Oct 2002 19:00:21 +1300

whereami (0.2.2) unstable; urgency=low

  * Remove postinst code to do usr/doc link, per policy.
  * Correct typo in detect.conf manpage (closes: #164479)
  * Improved wording in debconf template.
  * Raphael Pierquin points out that bash functions should return, not exit!
  * Corrected normal exit behaviour (closes: #165014)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 20 Oct 2002 21:41:07 +1300

whereami (0.2.1) unstable; urgency=low

  * Added masqmail integration with masqmail_route script.
  * Changes to setmailrelay to use init.d scripts (closes: 158364)
  * Added patch from Patrice Neff to support 'elif' (closes: #152174).
  * Change testarp to down interface on test failure (closes: #158363).
  * Fix network hooks to not --syslog (closes: #160187).
  * Added " export ..." of variables to whereiam.sh so they are usable!

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 28 Sep 2002 16:53:33 +1200

whereami (0.2.0) unstable; urgency=low

  * Added hooks into ifup / ifdown.
  * Comprehensive race-resistant, staleness detecting locking.
  * Restructure of whereami.pl.  Or maybe that should be 'Structure...' :-)
  * Change to use Getopt::Long.
  * Fix some minor errors.
  * Added patch from Patrice Neff to support 'elif' (closes: #152174)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  8 Jul 2002 08:57:25 +1200

whereami (0.1.16) unstable; urgency=low

  * Applied Chris Hall's more complete solution to #146882

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 17 May 2002 08:25:34 +1200

whereami (0.1.15) unstable; urgency=low

  * Made test case insensitive in testarp (closes: #147094)
  * Improved testing for presence of dhclient3 and quietened it (closes:
    #146882)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 16 May 2002 08:52:35 +1200

whereami (0.1.14) unstable; urgency=low

  * Added handling of '*.*.*.*' as 'restart' for backward compatibility in
    testdhcp.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  6 May 2002 07:22:09 +1200

whereami (0.1.13) unstable; urgency=low

  * Applied new 'testdhcp' from Chris Halls which integrates with dhclient3.
  * Added /etc/dhcp3/dhclient-exit-hooks.d/whereami for dhclient3 integration.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  5 May 2002 22:42:26 +1200

whereami (0.1.12) unstable; urgency=low

  * Add docbook-to-man into build dependencies (closes: #142092)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 10 Apr 2002 20:55:38 +1200

whereami (0.1.11) unstable; urgency=low

  * Correct whereami.conf manpage to point to the right document location
    (closes: #139379)
  * Comment out most of detect.conf (closes: #139378)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 22 Mar 2002 07:30:40 +1200

whereami (0.1.10) unstable; urgency=low

  * Correct [some] errors in man pages  - no doubt there are more! (closes: #137799)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 11 Mar 2002 22:44:09 +1300

whereami (0.1.9) unstable; urgency=low

  * Take interface down after testing it and it fails (closes: #136943)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  6 Mar 2002 09:34:00 +1300

whereami (0.1.8) unstable; urgency=low

  * Really fix locking this time... (closes: #135977)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 27 Feb 2002 19:34:00 +1300

whereami (0.1.7) unstable; urgency=high

  * Fix whereami.pl to not output stub script to screen (closes: #132317)
  * Correct bug in --hint option to whereami.pl ( closes: #132308)
  * Thanks to Tom Lees <tal26 at cam.ac.uk> for these two fixes :-)
  * Construction of whereiam.sh script was fixed in 0.1.6 (closes: #132319)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  5 Feb 2002 08:13:59 +1300

whereami (0.1.6) unstable; urgency=high

  * Fix construction of whereiam.sh script.
  * Increase timeouts on testping script to better accommodate WLAN
  * Fix bug with non-eth0 interfaces in testping script.
  * Add example debug setting to example detect.conf

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Feb 2002 23:11:44 +1300

whereami (0.1.5) unstable; urgency=low

  * Change testping to use bash (closes: #131348)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Feb 2002 23:11:33 +1300

whereami (0.1.4) unstable; urgency=low

  * Move lock file into /var/run directory (closes: #130223)
  * Add existing whereami tests directory into path (closes: #130222)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 28 Jan 2002 21:37:30 +1300

whereami (0.1.3) unstable; urgency=low

  * Apply Chris' patch to ensure foo1 differs from foo (closes: #129423)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 16 Jan 2002 22:07:18 +1300

whereami (0.1.2) unstable; urgency=low

  * Remove xtrace from postinst script (closes: #128430).
  * Fix variable name in testarp script.
  * Check compatibility mode in whereami.apm, whereami.init (closes: #129116)
  * Started updating HTML docs (WIP - use man pages for now).
  * Remove debugging code from postinst.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 14 Jan 2002 23:09:34 +1300

whereami (0.1.1) unstable; urgency=low

  * Clean wierd high-bit characters out of testdhcp.
  * Minor improvements to testdhcp for DH_CLIENT users.
  * Run with "no restart on upgrade".

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  8 Jan 2002 21:54:30 +1300

whereami (0.1.0) unstable; urgency=low

  * Completely new version written in perl.  New 'detect.conf' file
    specifying detection characteristics.
  * Rewritten manpages for whereami and detect.conf.
  * New script for testing PPPoE setup.
  * Correct spelling in program description (closes: #125480)
  * set -o xtrace in all of the test scripts so we can better
    debug problems out in the field (will turn off in a release or two)
  * Added locking against multiple execution.
  * Addded --help option.
  * Changes to use debconf (closes: #121158)
  * Added --scriptdebug and --hint <locations> options.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 25 Dec 2001 00:55:42 +1300

whereami (0.0.18) unstable; urgency=low

  * Switch to debconf to avoid the postinst message for installed users.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 24 Nov 2001 17:32:22 +1300

whereami (0.0.17) unstable; urgency=low

  * Suggest 'iputils-arping' rather than 'arping', which is an older version.
  * Add sample script for aprfind, courtesy of Chris Halls (thanks :-)
  * Update 'detect.conf' sample to show current thinking.  Also include the
    start of a perl script parsing it.  Moving towards v0.1.0...

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 24 Nov 2001 09:47:23 +1300

whereami (0.0.16) unstable; urgency=low

  * Applied Chris Halls' apm patch for whereami on suspend/resume
  * Renamed INSTALL "Not The Debian Way (tm)" to CONFIGURE and re-included (closes: #119676)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 16 Nov 2001 09:01:49 +1300

whereami (0.0.15) unstable; urgency=low

  * Correct arpfind format to be without carriage returns

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 16 Nov 2001 09:01:38 +1300

whereami (0.0.14) unstable; urgency=low

  * Corrected e-mail addresses.
  * Minor changes to description.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  2 Oct 2001 14:34:16 +1200

whereami (0.0.13) unstable; urgency=low

  * Removed irrelevant file from source tree.  Some docs changes.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 15 Sep 2001 11:07:29 +1200

whereami (0.0.12) unstable; urgency=low

  * Added 'arpfind' utility script by Alexander Clouter
  * Changes to documentation to better describe utility programs

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 11 Sep 2001 08:40:26 +1200

whereami (0.0.11) unstable; urgency=low

  * Added example test for MII by Chris Halls (closes: #110800)
  * Modifications to setmailrelay to support postfix, also by Chris Halls (closes: #110806)
  * Minor documentation changes
  * Added example test for wireless lan
  * Renamed example test for static IP

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  1 Sep 2001 16:22:00 +1200

whereami (0.0.10) unstable; urgency=low

  * Allow new location to be specified on command line. If we do a 'whereami undocked' before
    actually disconnecting from the network, the network drives get disconnected cleanly.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 31 May 2001 07:16:40 +1200

whereami (0.0.9) unstable; urgency=low

  * Commented the example confirguration files. Closes: Bug#96617.
  * Changed maintainer e-mail address.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  8 May 2001 14:24:09 +1200

whereami (0.0.8) unstable; urgency=low

  * Removed -x from version number to identify as debian native package.
  * Removed gplcopynote and notes files, which are no longer relevant

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  4 Mar 2001 15:33:34 +1300

whereami (0.0.7-1) unstable; urgency=low

  * Removed non-Debian INSTALL docs from Debian package (policy).
  * There is only one changelog, since this is a native Debian package (policy).
  * Updated policy version number to current policy.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  3 Mar 2001 22:17:17 +1300

whereami (0.0.7) unstable; urgency=low

  * Added patches to apply against PCMCIA network setup
  * Changed default mail-relay.conf to point somewhere generic

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 17 Feb 2001 13:26:39 +1300

whereami (0.0.6-2) unstable; urgency=low

  * Correct some lintian errors / warnings

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 17 Feb 2001 12:40:26 +1300

whereami (0.0.6-1) unstable; urgency=low

  * Brought current with my own system.
  * Added 'findnet' script which uses fping to find the current network
    for assigning a static IP address
  * Added TODO file indicating future directions.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 25 Jan 2000 12:13:40 +1300

whereami (0.0.5-1) unstable; urgency=low

  * Added a setresolver script to set resolvers from within whereami
  * Documented setresolver in the html

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  11 Nov 1999 19:50:11 +1300

whereami (0.0.4-2) unstable; urgency=low

  * Changed the setmailrelay script to accommodate alternative sendmail.cf locations
  * Modified build scripts to handle CVS checkin
  * Checked into CVS
  * Adjusted stuff to ensure lintian doesn't generate any messages

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  04 Nov 1999 14:57:12 +1300

whereami (0.0.4-1) unstable; urgency=low

  * Moved the helper scripts to /usr/share/whereami following a suggestion
    from Brian Mays.
  * Appended /usr/share/whereami to the tail of the PATH for the execution
    of the script for the new location.
  * Changed whereami to build the location script in the current directory
    (/etc/whereami) rather than in the scripts directory.
  * Added the web pages into the /usr/share/doc/whereami/html directory.
  * Updated the web pages to ensure they don't tell any porkies :-)
  * Changed the 'prerm' script to clean up the /etc/whereami directory of
    the various files created during operation.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  09 Oct 1999 22:15:31 +1200

whereami (0.0.3-1) unstable; urgency=low

  * gzipped the man page
  * Put stuff into postinst and prerm to add/remove a link in /usr/doc
  * Changes to setmailrelay script to work correctly with Debian sendmail

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri,  08 Oct 1999 07:53:55 +1200

whereami (0.0.2-1) unstable; urgency=low

  * Removed various debugging messages and cleaned up the scripts
  * Got the debian package working properly for me

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  28 Sep 1999 21:45:00 +1200

whereami (0.0.1-1) unstable; urgency=low

  * Initial release version

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  28 Sep 1999 19:01:26 +1200
